Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.optimize
Interface Optimizable

All Known Subinterfaces:
  Optimizable.ByBatchGradient, Optimizable.ByCombiningBatchGradient, Optimizable.ByGISUpdate, Optimizable.ByGradient, Optimizable.ByGradientValue, Optimizable.ByHessian, Optimizable.ByValue, Optimizable.ByVotedPerceptron

All Known Implementing Classes:
  ACRF.MaximizableACRF, CRFOptimizableByBatchLabelLikelihood, CRFOptimizableByEntropyRegularization, CRFOptimizableByGECriteria, CRFOptimizableByGradientValues, CRFOptimizableByLabelLikelihood, CRFTrainerByValueGradients.OptimizableCRF, DMROptimizable, MaxEntOptimizableByGE, MaxEntOptimizableByLabelDistribution, MaxEntOptimizableByLabelLikelihood, MEMMTrainer.MEMMOptimizableByLabelLikelihood, OptimizableCollection.ByGradientValue, ThreadedOptimizable

    public interface Optimizable

Nested Class Summary
`static interface` | `Optimizable.ByBatchGradient`
`static interface` | `Optimizable.ByCombiningBatchGradient`
`static interface` | `Optimizable.ByGISUpdate`
`static interface` | `Optimizable.ByGradient`
`static interface` | `Optimizable.ByGradientValue`
`static interface` | `Optimizable.ByHessian`
`static interface` | `Optimizable.ByValue`
`static interface` | `Optimizable.ByVotedPerceptron`

Method Summary
`int` | `getNumParameters()`
`double` | `getParameter(int index)`
`void` | `getParameters(double[] buffer)`
`void` | `setParameter(int index, double value)`
`void` | `setParameters(double[] params)`

Method Detail

### getNumParameters

    int getNumParameters()

### getParameters

    void getParameters(double[] buffer)

### getParameter

    double getParameter(int index)

### setParameters

    void setParameters(double[] params)

### setParameter

    void setParameter(int index,
                      double value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD